## org.eclipse.emf.cdo.spi.common.id
Class CDOIDLibraryProviderImpl

    java.lang.Object
      org.eclipse.emf.cdo.spi.common.id.CDOIDLibraryProviderImpl

All Implemented Interfaces:
  CDOIDLibraryProvider

    public class CDOIDLibraryProviderImpl

extends java.lang.Object
implements CDOIDLibraryProvider

Since:
  2.0

Constructor Summary
`CDOIDLibraryProviderImpl()`

Method Summary
`void` `addLibrary(java.lang.String libraryName, org.eclipse.net4j.util.om.OMBundle bundle)`
`CDOIDLibraryDescriptor` `createDescriptor(java.lang.String factoryName)`
`java.io.InputStream` `getContents(java.lang.String libraryName)`
`java.lang.String[]` `getLibraryNames()`
`int` `getSize(java.lang.String libraryName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CDOIDLibraryProviderImpl

    public CDOIDLibraryProviderImpl()

Method Detail

### addLibrary

    public void addLibrary(java.lang.String libraryName,
                           org.eclipse.net4j.util.om.OMBundle bundle)

### getLibraryNames

    public java.lang.String[] getLibraryNames()

### createDescriptor

    public CDOIDLibraryDescriptor createDescriptor(java.lang.String factoryName)

### getContents

    public java.io.InputStream getContents(java.lang.String libraryName)
                                    throws java.io.IOException

  Specified by:
    `getContents` in interface `CDOIDLibraryProvider`
  Throws:
    `java.io.IOException`

### getSize

    public int getSize(java.lang.String libraryName)

  Specified by:
    `getSize` in interface `CDOIDLibraryProvider`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.